#!/bin/bash
. /home/native/.profile

mydir=`dirname "$0"`
systmp="/tmp/ezx_system.tmp"
dm_setting_root=/ezx_user/download/appwrite/setup/
sysfile=${dm_setting_root}ezx_system.cfg
syspass=${dm_setting_root}ezx_password_app.cfg
securityfile=/ezxlocal/download/appwrite/ezx_securitysetup.cfg

if [ -f $securityfile ]; then :;else securityfile="$sysfile"; fi
pro='Reset Security Code'
wow='Congratulations.<br>Correct password !'
err='Incorrect password!<br>Do you want to retry?'
SecuritySecurityCode=`grep "SecuritySecurityCode" "$securityfile"`
inputbox=$mydir/inputbox
showQ=$mydir/showQ

chk () {
chown ezx "$1"
chgrp ezx "$1"
chmod 777 "$1"
}

chk $sysfile
chk $securityfile

mode () {
exec $mydir/fastmode.sh
}

run () {
if [ ! "$SecuritySecurityCode"  = "" ]; then
	msg=`$showQ -u -g "$mydir/sc.png" -m "Security Code isn't default code.<br>Do you want to reset to default code (000000)" -1 "Reset" -2 "Cancel" -t40`
	if [ "$msg" = "0" ]; then
		sed -e s/^"$SecuritySecurityCode"$//g $securityfile > $systmp
		mv -f $systmp $securityfile
		$showQ -u -g "$mydir/sc.png" -m "Security Code reset to: <br><font color="#FF0000">000000</font> (6 numbers zero)." -1 "Ok" -2 "" -t20
		mode
	fi
	if [ "$msg" = "1" ]; then
		mode
		exit
	fi	
	
else	
	$showQ -u -g "$mydir/sc.png" -m "Security Code is being default code: <br><font color="#FF0000">000000</font>  (6 numbers zero).<br>Don't need to reset." -1 "Ok" -2 "" -t20
	mode
fi	

}


inputpass () {
enter=`$inputbox -t "<font color="#FF0000">$pro</font> " -l "Enter password" -gettext -m password | sed 's/Text=//g'`
read proces < $syspass
if [ "$enter" = "$proces" ]; then
	$showQ -u -m "$wow" -s "Dialog_Complete" -1 "" -t1
	run
fi	
if	[ "$enter" = "" ]; then
	mode
	exit
fi	
if [ ! "$enter" = "" ] && [ ! "$enter" = "$proces" ]; then
	abc=`$showQ -u -t10 -s "Dialog_Exclamatory_Mark" -m "$err" -1 "Retry" -2 "Exit"`
	if [ "$abc" = "0" ]; then
		inputpass
		else
		exit
	fi
exit	
fi
}

inputpass

